 
export const isPositiveInteger = (index: string ) => { 

    if (typeof index !== 'string') {
        return false;
    }

    const num = Number(index);

    if (Number.isInteger(num) && num >= 0) {
        return true;
    }

    return false; 

}